List AWS integrations
GET
/v1/awsintegration/
const url = 'https://example.com/v1/awsintegration/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/awsintegration/ \ --header 'Authorization: Bearer <token>'Return all AWS integrations for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”alias
string
cursor
string
The pagination cursor value.
page_size
integer
Number of results to return per page.
search
string
A search term.
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
access_key
required
string
account
required
string format: uuid
alias
required
string
account_enabled
boolean
dynamodb_enabled
boolean
ec2_enabled
boolean
elb_enabled
boolean
enabled
boolean
id
required
string format: uuid
rds_enabled
boolean
s3_enabled
boolean
secret_key
required
string
trusted_advisor_enabled
boolean
last_fetched_at
required
string format: date-time
status
required
Array<string>
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"}